version: "3.0"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"

services:
  rocketchat:
    image: registry.rocket.chat/rocketchat/rocket.chat:{{ rocketchat_version }}
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=web"
      - "traefik.http.routers.{{ instance_name }}.entrypoints=websecure"
      - "traefik.http.routers.{{ instance_name }}.rule=Host(`{{ rocketchat_domain }}`)"
      - "traefik.http.routers.{{ instance_name }}.tls.certresolver=httpsresolver"
      - "traefik.http.services.{{ instance_name }}.loadbalancer.server.port=3000"

    environment:
      MONGO_URL: "mongodb://mongodb:27017/rocketchat?replicaSet=rs0"
      MONGO_OPLOG_URL: "mongodb://mongodb:27017/local?replicaSet=rs0"
      ROOT_URL: http://localhost:3000
      PORT: 3000
      DEPLOY_METHOD: docker
      DEPLOY_PLATFORM:
      REG_TOKEN:
    logging: *default-logging
    depends_on:
      - mongodb
    networks:
      - internal-db
      - web

  mongodb:
    image: docker.io/bitnami/mongodb:{{ mongodb_version }}
    restart: unless-stopped
    volumes:
      - ./mongodb_data:/bitnami/mongodb
    environment:
      MONGODB_REPLICA_SET_MODE: primary
      MONGODB_REPLICA_SET_NAME: rs0
      MONGODB_PORT_NUMBER: 27017
      MONGODB_INITIAL_PRIMARY_HOST: mongodb
      MONGODB_INITIAL_PRIMARY_PORT_NUMBER: 27017
      MONGODB_ADVERTISED_HOSTNAME: mongodb
      MONGODB_ENABLE_JOURNAL: true
      ALLOW_EMPTY_PASSWORD: yes
    logging: *default-logging
    networks:
      - internal-db

networks:
  internal-db:
  web:
    external: true
